#!/usr/bin/perl

use strict;
use File::Copy;
use Fcntl qw(:flock :seek);
my $fonmon = "/etc/asterisk/FONmon.conf";

# make backup
File::Copy::copy($fonmon, "$fonmon.bak_wanpipe");

open(READ, '<', "$fonmon.bak_wanpipe");
open(WRITE, '>>', $fonmon);
my $wanpipeflag=0;

while(my $line = <READ>) {

        if($line =~ /checkwanpipe/){
                
		$wanpipeflag=1;

        }

}

if($wanpipeflag==0){
        
	seek(WRITE, 0, SEEK_END);
        print WRITE "\n#check wanpipe config \n";
        print WRITE "checkwanpipe=1 \n";
        print WRITE "wanpipe_interval=15 \n";

}

close(READ);
close(WRITE);

unlink("$fonmon.bak_wanpipe");

# restart FONmon
system('/var/www/rpc/surun /etc/init.d/FONmon restart');

